<?php

namespace App\Http\Controllers;

use App\Models\UserFlight;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Cache;
use Illuminate\Support\Facades\DB;
use Inertia\Inertia;
use Inertia\Response;

class HomePageController extends Controller
{
    function mostRecentFlights()
    {
        return Cache::remember('splash_flights', now()->addHours(12), function () {
            return UserFlight::query()
                ->with(['departureAirport', 'departureAirport.region.country', 'arrivalAirport', 'arrivalAirport.region.country' ,'user', 'airline'])
                ->whereHas('user', function ($query) {
                    $query->whereRaw(DB::raw("settings->>'profile_privacy' is distinct from 'private'"));
                })
                ->orderByDesc('departure_date')
                ->limit(50)
                ->get()
                ->values()
                ->toJson();
        });
    }

    function splash(){
        return Inertia::render('Splash');
    }
}
